import service from '@/utils/request'


export const getMakerList = (data) => {
    return service({
        url: "/qyd/getMakerList",
        method: 'post',
        data
    })
}

export const getCompanyList = (data) => {
    return service({
        url: "/qyd/getCompanyList",
        method: 'post',
        data
    })
}

export const getTaskList = (data) => {
    return service({
        url: "/qyd/getTaskList",
        method: 'post',
        data
    })
}

export const getB2BList = (data) => {
    return service({
        url: "/qyd/getB2BList",
        method: 'post',
        data
    })
}

export const bindMaker = (data) => {
    return service({
        url: "/qyd/bindMaker",
        method: 'post',
        data
    })
}


export const unBindMaker = (data) => {
    return service({
        url: "/qyd/unBindMaker",
        method: 'post',
        data
    })
}


export const bindCompany = (data) => {
    return service({
        url: "/qyd/bindCompany",
        method: 'post',
        data
    })
}


export const unBindCompany = (data) => {
    return service({
        url: "/qyd/unBindCompany",
        method: 'post',
        data
    })
}


export const getTaskInfo = (data) => {
    return service({
        url: "/qyd/getTaskInfo",
        method: 'post',
        data
    })
}


export const getB2BInfo = (data) => {
    return service({
        url: "/qyd/getB2BInfo",
        method: 'post',
        data
    })
}


export const getB2BTradeList = (data) => {
    return service({
        url: "/qyd/getB2BTradeList",
        method: 'post',
        data
    })
}

export const getTaskTradeList = (data) => {
    return service({
        url: "/qyd/getTaskTradeList",
        method: 'post',
        data
    })
}
